#include <stdio.h>
#include "sorted.h"
#include <time.h>

int comp(const void *a,const void *b)
{
    
    if(*(int *)a<*(int *)b) return -1;
    if(*(int *)a>*(int *)b) return 1;
    return 0;
}

void sorted::sort()
{
    qsort(array,count_,sizeof(int),comp);
}

void sorted::print()
{
    printf("sorted: %d\n",count_);
    for(int i=0;i<count_;i++){
	time_t t = array[i];
	printf("sorted[%d] = %d  %s",i,array[i],ctime(&t));
	if(i==5 && count_>10) i = count_-6;
    }
}

int sorted::over(int val)
{
    int tally=0;
    for(int i=0;i<count_;i++){
	if(array[i]>val) tally++;
    }
    return tally;
}
